Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.math.model
Interface Function

All Known Implementing Classes:
  AstFunctionDeclaration, PredefinedFunction, UndeclaredFunction

public interface Function

Any function or operator.

pending - refine priorities.

Field Summary
`final static int` | `ASSIGNMENT_PRIORITY`
`final static int` | `FUNCTION_PRIORITY`
`final static int` | `LOGICAL_PRIORITY`
`final static int` | `PLUS_PRIORITY`
`final static int` | `POWER_PRIORITY`
`final static int` | `RELATIONAL_PRIORITY`
`final static int` | `TIMES_PRIORITY`
`final static int` | `UNARY_PRIORITY`

Method Summary
`String` | `getName()` Returns the name of the node (operator symbol or function name).
`int` | `getNumberOfParameters()` Returns the number of required parameters, or -1 if any number of parameters is allowed.
`int` | `getPriority()` Returns the function or operator priority.

Field Detail

### ASSIGNMENT_PRIORITY

    public final static int ASSIGNMENT_PRIORITY

### FUNCTION_PRIORITY

    public final static int FUNCTION_PRIORITY

### LOGICAL_PRIORITY

    public final static int LOGICAL_PRIORITY

### PLUS_PRIORITY

    public final static int PLUS_PRIORITY

### POWER_PRIORITY

    public final static int POWER_PRIORITY

### RELATIONAL_PRIORITY

    public final static int RELATIONAL_PRIORITY

### TIMES_PRIORITY

    public final static int TIMES_PRIORITY

### UNARY_PRIORITY

    public final static int UNARY_PRIORITY

Method Detail

### getName

    public String getName()

  Returns the name of the node (operator symbol or function name).

### getNumberOfParameters

    public int getNumberOfParameters()

  Returns the number of required parameters, or -1 if any number of parameters is allowed.

### getPriority

    public int getPriority()

  Returns the function or operator priority.

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM